Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class ChunkProviderEvent.ReplaceBiomeBlocks

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.ChunkProviderEvent
              net.minecraftforge.event.terraingen.ChunkProviderEvent.ReplaceBiomeBlocks

Enclosing class:
  ChunkProviderEvent

    public static class ChunkProviderEvent.ReplaceBiomeBlocks

extends ChunkProviderEvent

This event is fired when a chunks blocks are replaced by a biomes top and filler blocks. You can set the result to DENY to prevent the default replacement.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent
`ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`BiomeGenBase[]` | `biomeArray`
`byte[]` | `blockArray`
`int` | `chunkX`
`int` | `chunkZ`

Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent
`chunkProvider`

Constructor Summary
`ChunkProviderEvent.ReplaceBiomeBlocks(IChunkProvider chunkProvider, int chunkX, int chunkZ, byte[] blockArray, BiomeGenBase[] biomeArray)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chunkX

    public final int chunkX

### chunkZ

    public final int chunkZ

### blockArray

    public final byte[] blockArray

### biomeArray

    public final BiomeGenBase[] biomeArray

Constructor Detail

### ChunkProviderEvent.ReplaceBiomeBlocks

    public ChunkProviderEvent.ReplaceBiomeBlocks(IChunkProvider chunkProvider,
                                                 int chunkX,
                                                 int chunkZ,
                                                 byte[] blockArray,
                                                 BiomeGenBase[] biomeArray)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD